import type { _DOMCharacterData } from "./DOMCharacterData.js";
import type { _DOMStyleSheet } from "./DOMStyleSheet.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMProcessingInstruction extends _DOMCharacterData {
    static alloc(): _DOMProcessingInstruction;
    static new(): _DOMProcessingInstruction;
    init(): _DOMProcessingInstruction;
    target(): _NSString;
    sheet(): _DOMStyleSheet;
}
